package com.srs.comprehensive.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 srs_stu_year
 * 
 * @author srs
 * @date 2023-06-28
 */
@Data
@TableName("srs_stu_year")
public class SrsStuYear extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 学年id */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    @Excel(name = "学年代码")
    public String xndm;


    /** 学年名称 */
    @Excel(name = "学年名称")
    private String stuYearName;

    /** 模块标签 */
    @Excel(name = "模块标签")
    private String moduleTags;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 删除标志（0代表存在 */
    private String delFlag;

    private String status;//1:启用，2：未激活,3:往年，4：停用

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStuYearName(String stuYearName) 
    {
        this.stuYearName = stuYearName;
    }

    public String getStuYearName() 
    {
        return stuYearName;
    }


    public void setModuleTags(String moduleTags) {
        this.moduleTags = moduleTags;
    }

    public String getModuleTags() {
        return moduleTags;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stuYearName", getStuYearName())
                .append("moduleTags", getModuleTags())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
